little process ut back to desktop : need 2 screens

pull/293/head
abscisys 2 years ago
parent bdae61102a
commit 4e7a6842dd
  1. 89
      build.sh
  2. 49
      incrementalBuild.sh
  3. 3
      make-all.sh
  4. 142
      make.sh
  5. 23
      rebuild.sh
  6. 72
      setup_dev_env.sh
  7. 35
      src/Makefile
  8. 122
      src/Synth_Dexed.mk

@ -1,7 +1,33 @@
#!/bin/bash
set -e
set -x
usage()
{
# Display Help
echo "This script launch the build of the code."
echo
echo "options:"
echo "-h Print this Help."
echo "-RPI <version> Set Raspberry PI version"
echo "-clean Run clean before building"
echo "-full Run full build"
echo "-all Run the entire build"
}
export clean=0;
export minimal=1
while true
do
case "$1" in
-h|--help) usage ; exit 0;;
-RPI) export RPI=$2 ; shift;;
-clean) export clean=1 ; shift;;
-all) export minimal=0 ; shift;;
--) shift ; break;;
*) break;;
esac
done
if [ -z "${RPI}" ] ; then
echo "\$RPI missing, exting"
@ -20,29 +46,52 @@ if [ "${RPI}" -gt "1" ]; then
OPTIONS="${OPTIONS} -o ARM_ALLOW_MULTI_CORE"
fi
# Build circle-stdlib library
cd circle-stdlib/
make mrproper || true
./configure -r ${RPI} --prefix "${TOOLCHAIN_PREFIX}" ${OPTIONS} -o KERNEL_MAX_SIZE=0x400000
make -j
if [ ${minimal} -eq 1 ]
then
# Build additional libraries
cd libs/circle/addon/display/
make clean || true
make -j
cd ../sensor/
make clean || true
make -j
cd ../Properties/
make clean || true
make -j
cd ../../../..
# Build circle-stdlib library
cd circle-stdlib/
if [ ${clean} -eq 1 ]
then
make mrproper || true
fi
./configure -r ${RPI} --prefix "${TOOLCHAIN_PREFIX}" ${OPTIONS} -o KERNEL_MAX_SIZE=0x400000
make -j
cd ..
# Build additional libraries
cd libs/circle/addon/display/
if [ ${clean} -eq 1 ]
then
make clean || true
fi
make -j
cd ../sensor/
if [ ${clean} -eq 1 ]
then
make clean || true
fi
make -j
cd ../Properties/
if [ ${clean} -eq 1 ]
then
make clean || true
fi
make -j
cd ../../../..
cd ..
fi
# Build MiniDexed
cd src
make clean || true
if [ ${clean} -eq 1 ]
then
make clean || true
fi
make -j
ls *.img
cd ..

@ -1,49 +0,0 @@
#!/bin/bash
set -e
set -x
if [ -z "${RPI}" ] ; then
# echo "\$RPI missing, exting"
# exit 1
export RPI=4
fi
if [ "${RPI}" -gt "2" ]; then
export TOOLCHAIN_PREFIX="aarch64-none-elf-"
else
export TOOLCHAIN_PREFIX="arm-none-eabi-"
fi
# Define system options
OPTIONS="-o USE_PWM_AUDIO_ON_ZERO -o SAVE_VFP_REGS_ON_IRQ -o REALTIME -o SCREEN_DMA_BURST_LENGTH=1"
if [ "${RPI}" -gt "1" ]; then
OPTIONS="${OPTIONS} -o ARM_ALLOW_MULTI_CORE"
fi
# Build circle-stdlib library
# cd circle-stdlib/
# make mrproper || true
# ./configure -r ${RPI} --prefix "${TOOLCHAIN_PREFIX}" ${OPTIONS} -o KERNEL_MAX_SIZE=0x400000
# make -j
# Build additional libraries
# cd libs/circle/addon/display/
# make clean || true
# make -j
# cd ../sensor/
# make clean || true
# make -j
# cd ../Properties/
# make clean || true
# make -j
# cd ../../../..
# cd ..
# Build MiniDexed
cd src
# make clean || true
make -j
ls *.img
cd ..

@ -0,0 +1,3 @@
#!/bin/bash
./make.sh -RPI 4 -prepenv -sysex -zip $*

@ -0,0 +1,142 @@
#!/bin/bash
set +x
# this script install the dev environment and assume that the repository is alreadw cloned
usage()
{
# Display Help
echo "usage: make-sh [ <option> ... ]"
echo "This script install the dev environment and assume that the repository is already cloned."
echo
echo "options:"
echo " -d, --debug Execute with debugging script"
echo " -h, --help Print this help"
echo " -r <version>, -RPI <version>, --raspberrypi <version"
echo " Set Raspberry PI version"
echo " -prepenv Prepare the development environment"
echo " -build Run build"
echo " -FETCH_SYSEX Fetch all FETCH_SYSEX"
echo " -zip Create the resulting zip file"
echo " -opt Run RUN_OPTIONALITIES"
echo
}
export RPI=4
export SETUP_ENV=0
export BUILD=0
export CREATE_ZIP=0
export FETCH_SYSEX=0
export RUN_OPTIONALITIES=0
while true ; do
case "$1" in
-d|--debug) set -x ; shift;;
-h|--help) usage ; exit 0;;
-r|-RPI|--raspberrypi) export RPI=$2 ; shift 2;;
-prepenv) export SETUP_ENV=1 ; shift;;
-build) export BUILD=1 ; shift;;
-FETCH_SYSEX) export FETCH_SYSEX=1 ; shift;;
-zip) export CREATE_ZIP=1 ; shift;;
-opt) export RUN_OPTIONALITIES=1 ; shift;;
--) shift ; break ;;
*) break ;;
# *) echo "Internal error! Remaining params: #$*#" ; exit 1;;
esac
done
echo "Raspberry PI=$RPI"
echo "Setup environment=$SETUP_ENV"
echo "Run build=$BUILD"
echo "Fetch FETCH_SYSEX=$FETCH_SYSEX"
echo "Prepare zip file=$CREATE_ZIP"
echo "Run optional steps=$RUN_OPTIONALITIES"
if [ ${SETUP_ENV} -eq 1 ]
then
mkdir -p kernels sdcard
# Recursively pull git submodules
git submodule update --init --recursive
# Install toolchain
if [ "${RPI}" -gt 2 ]
then
if [ -f gcc-arm-10.3-2021.07-x86_64-aarch64-none-elf.tar.xz ]
then
rm -f gcc-arm-10.3-2021.07-x86_64-aarch64-none-elf.tar.xz
fi
wget https://developer.arm.com/-/media/Files/downloads/gnu-a/10.3-2021.07/binrel/gcc-arm-10.3-2021.07-x86_64-aarch64-none-elf.tar.xz
else
if [ -f gcc-arm-10.3-2021.07-x86_64-arm-none-eabi.tar.xz ]
then
rm -f gcc-arm-10.3-2021.07-x86_64-arm-none-eabi.tar.xz
fi
wget https://developer.arm.com/-/media/Files/downloads/gnu-a/10.3-2021.07/binrel/gcc-arm-10.3-2021.07-x86_64-arm-none-eabi.tar.xz
fi
tar xvf gcc-arm-*-*.tar.xz
fi
if [ ${BUILD} -eq 1 ]
then
export PATH=$(readlink -f ./gcc-*/bin/):$PATH
# Build dependencies and MiniDexed
./build.sh -clean -all
cp ./src/kernel*.img ./kernels/
if [ ${SETUP_ENV} -eq 1 ]
then
# Get Raspberry Pi boot files
cd ./circle-stdlib/libs/circle/boot
make
if [ "${RPI}" -gt 2 ]
then
make armstub64
fi
cd -
fi
fi
if [ ${CREATE_ZIP} -eq 1 ]
then
# Make zip that contains Raspberry Pi 4 boot files. The contents can be copied to a FAT32 formatted partition on a microSD card
if [ ${FETCH_SYSEX} -eq 1]
then
cd sdcard
../getFETCH_SYSEX.sh
cd ..
fi
cp -r ./circle-stdlib/libs/circle/boot/* sdcard
rm -rf sdcard/config*.txt sdcard/README sdcard/Makefile sdcard/armstub sdcard/COPYING.linux
cp ./src/config.txt ./src/minidexed.ini ./src/*img ./src/performance.ini sdcard/
echo "usbspeed=full" > sdcard/cmdline.txt
cd sdcard
cp ../kernels/* . || true
zip -r ../MaxiDexed_$GITHUB_RUN_NUMBER_$(date +%Y-%m-%d).zip *
cd -
fi
if [ ${RUN_OPTIONALITIES} -eq 1 ]
then
# Optionally, create a RPi image. This can be written to a microSD card using tools like Etcher or dd
sudo apt install --yes mount parted
IMG="`date +%Y-%m-%d`_minidexed-RPi${RPI}.img"
dd of="${IMG}" seek=50MiB bs=1 count=0
sudo parted "${IMG}" mktable msdos
sudo parted "${IMG}" mkpart primary fat32 2048s 100%
DEV=`sudo losetup --find --partscan --show "${IMG}"`
sudo mkfs.vfat -F 32 -n BOOT "${DEV}p1"
mkdir boot
sudo mount "${DEV}p1" boot
sudo cp -R sdcard/* boot
sudo umount boot
sudo losetup -d "${DEV}"
rm -r boot
# Write to SD card
sudo dd if="${IMG}" of=/dev/mmcblk0 bs=512k status=progress && sync
fi

@ -1,23 +0,0 @@
#!/bin/bash
set -e
set -x
export RPI=4
export PATH=$(readlink -f ./gcc-*/bin/):$PATH
./incrementalBuild.sh
cp ./src/kernel*.img ./kernels/
# Make zip that contains Raspberry Pi 4 boot files. The contents can be copied to a FAT32 formatted partition on a microSD card
cp -r ./circle-stdlib/libs/circle/boot/* sdcard
rm -rf sdcard/config*.txt sdcard/README sdcard/Makefile sdcard/armstub sdcard/COPYING.linux
cp ./src/config.txt ./src/minidexed.ini ./src/*img ./src/performance.ini sdcard/
echo "usbspeed=full" > sdcard/cmdline.txt
cd sdcard
cp ../kernels/* . || true
zip -r ../MiniDexed_$GITHUB_RUN_NUMBER_$(date +%Y-%m-%d).zip *
cd -
echo "DONE!!!"

@ -1,72 +0,0 @@
#!/bin/bash
# this script install the dev environment and assume that the repositorw is alreadw cloned
# Choose your RPi
export RPI=4
#git clone https://github.com/probonopd/MiniDexed
#cd MiniDexed
mkdir -p kernels sdcard
# Get develop branch of circle
cd circle-stdlib/libs/circle
git checkout ae22928 # develop
cd -
# Recursively pull git submodules
git submodule update --init --recursive
# Install toolchain
if [ "${RPI}" -gt 2 ]
then
wget https://developer.arm.com/-/media/Files/downloads/gnu-a/10.3-2021.07/binrel/gcc-arm-10.3-2021.07-x86_64-aarch64-none-elf.tar.xz
else
wget https://developer.arm.com/-/media/Files/downloads/gnu-a/10.3-2021.07/binrel/gcc-arm-10.3-2021.07-x86_64-arm-none-eabi.tar.xz
fi
tar xvf gcc-arm-*-*.tar.xz
export PATH=$(readlink -f ./gcc-*/bin/):$PATH
# Build dependencies and MiniDexed
./build.sh
cp ./src/kernel*.img ./kernels/
# Get Raspberry Pi boot files
cd ./circle-stdlib/libs/circle/boot
make
if [ "${RPI}" -gt 2 ]
then
make armstub64
fi
cd -
# Make zip that contains Raspberry Pi 4 boot files. The contents can be copied to a FAT32 formatted partition on a microSD card
cd sdcard
../getsysex.sh
cd ..
cp -r ./circle-stdlib/libs/circle/boot/* sdcard
rm -rf sdcard/config*.txt sdcard/README sdcard/Makefile sdcard/armstub sdcard/COPYING.linux
cp ./src/config.txt ./src/minidexed.ini ./src/*img ./src/performance.ini sdcard/
echo "usbspeed=full" > sdcard/cmdline.txt
cd sdcard
cp ../kernels/* . || true
zip -r ../MaxiDexed_$GITHUB_RUN_NUMBER_$(date +%Y-%m-%d).zip *
cd -
# # Optionally, create a RPi image. This can be written to a microSD card using tools like Etcher or dd
# sudo apt install --yes mount parted
# IMG="`date +%Y-%m-%d`_minidexed-RPi${RPI}.img"
# dd of="${IMG}" seek=50MiB bs=1 count=0
# sudo parted "${IMG}" mktable msdos
# sudo parted "${IMG}" mkpart primary fat32 2048s 100%
# DEV=`sudo losetup --find --partscan --show "${IMG}"`
# sudo mkfs.vfat -F 32 -n BOOT "${DEV}p1"
# mkdir boot
# sudo mount "${DEV}p1" boot
# sudo cp -R sdcard/* boot
# sudo umount boot
# sudo losetup -d "${DEV}"
# rm -r boot
# # Write to SD card
# sudo dd if="${IMG}" of=/dev/mmcblk0 bs=512k status=progress && sync

@ -2,32 +2,27 @@
# Makefile
#
MAXIDEXED_SRC_DIR = ../src
CIRCLE_STDLIB_DIR = ../circle-stdlib
SYNTH_DEXED_DIR = ../Synth_Dexed/src
CMSIS_DIR = ../CMSIS_5/CMSIS
U8G2_DIR = ../u8g2
BUILD_DIR = ../build
BUILD_OBJ_DIR = $(BUILD_DIR)/objs
OBJS = main.o \
kernel.o \
minidexed.o \
config.o \
userinterface.o \
uimenu.o \
mididevice.o \
midikeyboard.o \
serialmididevice.o \
pckeyboard.o \
sysexfileloader.o \
performanceconfig.o \
perftimer.o \
effect_compressor.o \
effect_platervbstereo.o \
ui.o \
screens.o \
userinterfaceext.o
MAXIDEXED_BUILD_DIR = $(BUILD_DIR)/maxi-dexed
CIRCLE_STDLIB_BUILD_DIR = $(BUILD_DIR)/circle-stdlib
SYNTH_DEXED_BUILD_DIR = $(BUILD_DIR)/Synth_Dexed/src
CMSIS_BUILD_DIR = $(BUILD_DIR)/CMSIS_5/CMSIS
U8G2_BUILD_DIR = $(BUILD_DIR)/u8g2
SOURCES = $(wildcard $(MAXIDEXED_SRC_DIR)/*.cpp)
OBJECTS = $(patsubst $(MAXIDEXED_SRC_DIR)/%.cpp,$(MAXIDEXED_BUILD_DIR)/%.o,$(SOURCES))
dir:
mkdir -p $(MAXIDEXED_BUILD_DIR)
OPTIMIZE = -O3

@ -9,119 +9,6 @@ CMSIS_DSP_COMPUTELIB_INCLUDE_DIR = $(CMSIS_DIR)/DSP/ComputeLibrary/Include
CMSIS_DSP_SOURCE_DIR = $(CMSIS_DIR)/DSP/Source
CMSIS_DSP_COMPUTELIB_SRC_DIR = $(CMSIS_DIR)/DSP/ComputeLibrary/Source
U8G2_OBJS += \
$(U8G2_DIR)/cppsrc/U8g2lib.o \
$(U8G2_DIR)/csrc/mui.o \
$(U8G2_DIR)/csrc/mui_u8g2.o \
$(U8G2_DIR)/csrc/u8g2_bitmap.o \
$(U8G2_DIR)/csrc/u8g2_box.o \
$(U8G2_DIR)/csrc/u8g2_buffer.o \
$(U8G2_DIR)/csrc/u8g2_button.o \
$(U8G2_DIR)/csrc/u8g2_circle.o \
$(U8G2_DIR)/csrc/u8g2_cleardisplay.o \
$(U8G2_DIR)/csrc/u8g2_d_memory.o \
$(U8G2_DIR)/csrc/u8g2_d_setup.o \
$(U8G2_DIR)/csrc/u8g2_font.o \
$(U8G2_DIR)/csrc/u8g2_fonts.o \
$(U8G2_DIR)/csrc/u8g2_hvline.o \
$(U8G2_DIR)/csrc/u8g2_input_value.o \
$(U8G2_DIR)/csrc/u8g2_intersection.o \
$(U8G2_DIR)/csrc/u8g2_kerning.o \
$(U8G2_DIR)/csrc/u8g2_line.o \
$(U8G2_DIR)/csrc/u8g2_ll_hvline.o \
$(U8G2_DIR)/csrc/u8g2_message.o \
$(U8G2_DIR)/csrc/u8g2_polygon.o \
$(U8G2_DIR)/csrc/u8g2_selection_list.o \
$(U8G2_DIR)/csrc/u8g2_setup.o \
$(U8G2_DIR)/csrc/u8log.o \
$(U8G2_DIR)/csrc/u8log_u8g2.o \
$(U8G2_DIR)/csrc/u8log_u8x8.o \
$(U8G2_DIR)/csrc/u8x8_8x8.o \
$(U8G2_DIR)/csrc/u8x8_byte.o \
$(U8G2_DIR)/csrc/u8x8_cad.o \
$(U8G2_DIR)/csrc/u8x8_capture.o \
$(U8G2_DIR)/csrc/u8x8_d_a2printer.o \
$(U8G2_DIR)/csrc/u8x8_d_gu800.o \
$(U8G2_DIR)/csrc/u8x8_d_hd44102.o \
$(U8G2_DIR)/csrc/u8x8_d_il3820_296x128.o \
$(U8G2_DIR)/csrc/u8x8_d_ist3020.o \
$(U8G2_DIR)/csrc/u8x8_d_ist7920.o \
$(U8G2_DIR)/csrc/u8x8_d_ks0108.o \
$(U8G2_DIR)/csrc/u8x8_d_lc7981.o \
$(U8G2_DIR)/csrc/u8x8_d_ld7032_60x32.o \
$(U8G2_DIR)/csrc/u8x8_d_ls013b7dh03.o \
$(U8G2_DIR)/csrc/u8x8_d_max7219.o \
$(U8G2_DIR)/csrc/u8x8_d_pcd8544_84x48.o \
$(U8G2_DIR)/csrc/u8x8_d_pcf8812.o \
$(U8G2_DIR)/csrc/u8x8_d_pcf8814_hx1230.o \
$(U8G2_DIR)/csrc/u8x8_d_s1d15721.o \
$(U8G2_DIR)/csrc/u8x8_d_s1d15e06.o \
$(U8G2_DIR)/csrc/u8x8_d_sbn1661.o \
$(U8G2_DIR)/csrc/u8x8_d_sed1330.o \
$(U8G2_DIR)/csrc/u8x8_d_sh1106_64x32.o \
$(U8G2_DIR)/csrc/u8x8_d_sh1106_72x40.o \
$(U8G2_DIR)/csrc/u8x8_d_sh1107.o \
$(U8G2_DIR)/csrc/u8x8_d_sh1108.o \
$(U8G2_DIR)/csrc/u8x8_d_sh1122.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1305.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_128x32.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_128x64_noname.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_2040x16.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_48x64.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_64x32.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_64x48.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_72x40.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_96x16.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1306_96x40.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1309.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1316.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1317.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1318.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1320.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1322.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1325.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1326.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1327.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1329.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1606_172x72.o \
$(U8G2_DIR)/csrc/u8x8_d_ssd1607_200x200.o \
$(U8G2_DIR)/csrc/u8x8_d_st7511.o \
$(U8G2_DIR)/csrc/u8x8_d_st75160.o \
$(U8G2_DIR)/csrc/u8x8_d_st75256.o \
$(U8G2_DIR)/csrc/u8x8_d_st7528.o \
$(U8G2_DIR)/csrc/u8x8_d_st75320.o \
$(U8G2_DIR)/csrc/u8x8_d_st7565.o \
$(U8G2_DIR)/csrc/u8x8_d_st7567.o \
$(U8G2_DIR)/csrc/u8x8_d_st7571.o \
$(U8G2_DIR)/csrc/u8x8_d_st7586s_erc240160.o \
$(U8G2_DIR)/csrc/u8x8_d_st7586s_s028hn118a.o \
$(U8G2_DIR)/csrc/u8x8_d_st7586s_ymc240160.o \
$(U8G2_DIR)/csrc/u8x8_d_st7588.o \
$(U8G2_DIR)/csrc/u8x8_d_st7920.o \
$(U8G2_DIR)/csrc/u8x8_d_stdio.o \
$(U8G2_DIR)/csrc/u8x8_d_t6963.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1601.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1604.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1608.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1609.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1610.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1611.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1617.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1638.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1701_dogs102.o \
$(U8G2_DIR)/csrc/u8x8_d_uc1701_mini12864.o \
$(U8G2_DIR)/csrc/u8x8_debounce.o \
$(U8G2_DIR)/csrc/u8x8_display.o \
$(U8G2_DIR)/csrc/u8x8_fonts.o \
$(U8G2_DIR)/csrc/u8x8_gpio.o \
$(U8G2_DIR)/csrc/u8x8_input_value.o \
$(U8G2_DIR)/csrc/u8x8_message.o \
$(U8G2_DIR)/csrc/u8x8_selection_list.o \
$(U8G2_DIR)/csrc/u8x8_setup.o \
$(U8G2_DIR)/csrc/u8x8_string.o \
$(U8G2_DIR)/csrc/u8x8_u16toa.o \
$(U8G2_DIR)/csrc/u8x8_u8toa.o
OBJS += \
$(SYNTH_DEXED_DIR)/PluginFx.o \
$(SYNTH_DEXED_DIR)/dexed.o \
@ -140,22 +27,19 @@ OBJS += \
$(CMSIS_DSP_SOURCE_DIR)/FastMathFunctions/FastMathFunctions.o \
$(CMSIS_DSP_SOURCE_DIR)/FilteringFunctions/FilteringFunctions.o \
$(CMSIS_DSP_SOURCE_DIR)/CommonTables/CommonTables.o \
$(CMSIS_DSP_COMPUTELIB_SRC_DIR)/arm_cl_tables.o \
$(U8G2_OBJS)
$(CMSIS_DSP_COMPUTELIB_SRC_DIR)/arm_cl_tables.o
INCLUDE += -I $(SYNTH_DEXED_DIR)
INCLUDE += -I $(CMSIS_CORE_INCLUDE_DIR)
INCLUDE += -I $(CMSIS_DSP_INCLUDE_DIR)
INCLUDE += -I $(CMSIS_DSP_PRIVATE_INCLUDE_DIR)
INCLUDE += -I $(CMSIS_DSP_COMPUTELIB_INCLUDE_DIR)
INCLUDE += -I $(U8G2_DIR)/csrc
INCLUDE += -I $(U8G2_DIR)/cppsrc
DEFINE += -DUSE_FX -DU8X8_USE_PINS
DEFINE += -DUSE_FX
ifeq ($(strip $(AARCH)),64)
DEFINE += -DARM_MATH_NEON
DEFINE += -DHAVE_NEON
endif
EXTRACLEAN = $(SYNTH_DEXED_DIR)/*.[od] $(CMSIS_DSP_SOURCE_DIR)/SupportFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/SupportFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/BasicMathFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/FastMathFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/FilteringFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/CommonTables/*.[od] $(CMSIS_DSP_COMPUTELIB_SRC_DIR)/*.[od] $(U8G2_DIR)/cppsrc/*.[od] $(U8G2_DIR)/csrc/*.[od]
EXTRACLEAN = $(SYNTH_DEXED_DIR)/*.[od] $(CMSIS_DSP_SOURCE_DIR)/SupportFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/SupportFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/BasicMathFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/FastMathFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/FilteringFunctions/*.[od] $(CMSIS_DSP_SOURCE_DIR)/CommonTables/*.[od] $(CMSIS_DSP_COMPUTELIB_SRC_DIR)/*.[od]

Loading…
Cancel
Save